#############################################################################################
#############################################################################################
##
## BUILD GO
##
#############################################################################################
#############################################################################################

.PHONY: compile
## Compiling for every OS and Platform
compile: next-patch-version
	$(QUIET) $(ECHO) "Compiling for every OS and Platform"
	$(QUIET) $(ECHO) "Version: $(PROJECTVERSION)"
	$(QUIET) $(ECHO) "Build: $(PROJECTBUILDDATE)"
 
	$(QUIET) cd  $(SOURCE_PATH) ; \
			 GO111MODULE=on GOOS=linux GOARCH=arm $(GO) build -ldflags "-X main.version=$(PROJECTVERSION) -X main.build=$(PROJECTBUILDDATE)" -o $(BUILD_PATH)$(COMPONENTSLUG)-linux-arm ; \
			 GOOS=linux GOARCH=amd64 $(GO) build -ldflags "-X main.version=$(PROJECTVERSION) -X main.build=$(PROJECTBUILDDATE)" -o $(BUILD_PATH)$(COMPONENTSLUG)-linux-amd64 ; \
			 GOOS=linux GOARCH=arm64 $(GO) build -ldflags "-X main.version=$(PROJECTVERSION) -X main.build=$(PROJECTBUILDDATE)" -o $(BUILD_PATH)$(COMPONENTSLUG)-linux-arm64 ; \
			 GOOS=linux GOARCH=386 $(GO) build -ldflags "-X main.version=$(PROJECTVERSION) -X main.build=$(PROJECTBUILDDATE)" -o $(BUILD_PATH)$(COMPONENTSLUG)-linux-386 ; \
	         GOOS=windows GOARCH=amd64 $(GO) build -ldflags "-X main.version=$(PROJECTVERSION) -X main.build=$(PROJECTBUILDDATE)" -o $(BUILD_PATH)$(COMPONENTSLUG)-windows ; \
 			cd $(PROJECT_ROOT); 
